Changeset 3105


Ignore:
Timestamp:
Nov 21, 2013 2:56:13 PM (6 years ago)
Author:
stefan
Message:

conditional addition of dependent libraries into project libs via LIBADD

Location:
ThirdParty/SCIP/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/trunk/Makefile.in

    r2885 r3105  
    394394DEFS = @DEFS@
    395395DEPDIR = @DEPDIR@
     396DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     397DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    396398ECHO = @ECHO@
    397399ECHO_C = @ECHO_C@
  • ThirdParty/SCIP/trunk/configure

    r2985 r3105  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SCIP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED SOPLEX_LIBS SOPLEX_CFLAGS SOPLEX_DATA SOPLEX_DEPENDENCIES SOPLEX_LIBS_INSTALLED SOPLEX_CFLAGS_INSTALLED SOPLEX_DATA_INSTALLED SCIPLIB_CFLAGS SCIPLIB_LIBS SCIPLIB_PCLIBS SCIPLIB_PCREQUIRES SCIPLIB_DEPENDENCIES SCIPLIB_CFLAGS_INSTALLED SCIPLIB_LIBS_INSTALLED COIN_HAS_SOPLEX_TRUE COIN_HAS_SOPLEX_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE GRBINCDIR GRBLIB COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE QSOINCDIR QSOLIB COIN_HAS_QSO_TRUE COIN_HAS_QSO_FALSE IPOPT_LIBS IPOPT_CFLAGS IPOPT_DATA IPOPT_DEPENDENCIES IPOPT_LIBS_INSTALLED IPOPT_CFLAGS_INSTALLED IPOPT_DATA_INSTALLED COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SCIP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED SOPLEX_LIBS SOPLEX_CFLAGS SOPLEX_DATA SOPLEX_DEPENDENCIES SOPLEX_LIBS_INSTALLED SOPLEX_CFLAGS_INSTALLED SOPLEX_DATA_INSTALLED SCIPLIB_CFLAGS SCIPLIB_LIBS SCIPLIB_PCLIBS SCIPLIB_PCREQUIRES SCIPLIB_DEPENDENCIES SCIPLIB_CFLAGS_INSTALLED SCIPLIB_LIBS_INSTALLED COIN_HAS_SOPLEX_TRUE COIN_HAS_SOPLEX_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE GRBINCDIR GRBLIB COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE QSOINCDIR QSOLIB COIN_HAS_QSO_TRUE COIN_HAS_QSO_FALSE IPOPT_LIBS IPOPT_CFLAGS IPOPT_DATA IPOPT_DEPENDENCIES IPOPT_LIBS_INSTALLED IPOPT_CFLAGS_INSTALLED IPOPT_DATA_INSTALLED COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-scip compile project SCIP with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --enable-static[=PKGS]
    10901087                          build static libraries [default=no]
     
    19171914
    19181915# Get the name of the C compiler and appropriate compiler options
    1919 case $build in
     1916
     1917
     1918  # for backward compatibility
     1919  # Check whether --enable-doscompile or --disable-doscompile was given.
     1920if test "${enable_doscompile+set}" = set; then
     1921  enableval="$enable_doscompile"
     1922  enable_doscompile=$enableval
     1923else
     1924  enable_doscompile=no
     1925fi;
     1926
     1927  # Check whether --enable-msvc or --disable-msvc was given.
     1928if test "${enable_msvc+set}" = set; then
     1929  enableval="$enable_msvc"
     1930  enable_msvc=$enableval
     1931else
     1932  enable_msvc=no
     1933     if test "$enable_doscompile" = msvc ; then
     1934       enable_msvc=yes
     1935     elif test "$enable_doscompile" != no ; then
     1936       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1937echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1938   { (exit 1); exit 1; }; }
     1939     fi
     1940
     1941fi;
     1942
     1943  if test "$enable_msvc" = MD; then
     1944    enable_shared=yes
     1945    enable_msvc=yes
     1946  fi
     1947
     1948  if test "$enable_msvc" = yes; then
     1949    case $build in
     1950      *-cygwin* | *-mingw*) ;;
     1951      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1952echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1953   { (exit 1); exit 1; }; } ;;
     1954    esac
     1955  fi
     1956
     1957
     1958 case $build in
    19201959  *-mingw*)
    19211960    if test "${LD+set}" = set; then :; else
     
    19241963    ;;
    19251964 esac
    1926  case $enable_doscompile in
    1927    msvc)
    1928      if test "x${LD+set}" = xset; then :; else
    1929        LD=link
    1930      fi
    1931      ;;
    1932  esac
    1933 
    1934 
    1935  # Check whether --enable-doscompile or --disable-doscompile was given.
    1936 if test "${enable_doscompile+set}" = set; then
    1937   enableval="$enable_doscompile"
    1938   if test "$enable_doscompile" != no; then
    1939      case $build in
    1940        *-cygwin* | *-mingw*) ;;
    1941        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1942 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1943    { (exit 1); exit 1; }; } ;;
    1944      esac
     1965 if test $enable_msvc = yes ; then
     1966   if test "x${LD+set}" = xset; then :; else
     1967     LD=link
    19451968   fi
    1946 else
    1947   enable_doscompile=no
    1948 fi;
    1949  case "$enable_doscompile" in
    1950    mingw)
    1951      case $build in
    1952        *-mingw*) enable_doscompile=no ;;
    1953      esac
    1954      ;;
    1955    msvc|no) ;;
    1956    yes) enable_doscompile=mingw ;;
    1957    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1958                     Try configure --help=recursive." >&5
    1959 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1960                     Try configure --help=recursive." >&2;}
    1961    { (exit 1); exit 1; }; }
    1962       ;;
    1963   esac
    1964   if test "$enable_doscompile" != no ; then
    1965     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1966 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1967   fi
     1969 fi
    19681970
    19691971
     
    20082010case $build in
    20092011  *-cygwin* | *-mingw*)
    2010              if test "$enable_doscompile" = msvc ; then
    2011                comps="icl cl"
     2012             if test "$enable_msvc" = yes ; then
     2013               comps="icl cl gcc"
    20122014             else
    2013                comps="gcc cl"
     2015               comps="gcc icl cl"
    20142016             fi ;;
    20152017  *-*-solaris*)
     
    28092811    fi ;;
    28102812  * )
    2811     CYGPATH_W=echo
     2813    if test x"$CYGPATH_W" = x ; then
     2814      CYGPATH_W=echo
     2815    fi
    28122816    ;;
    28132817esac
     
    28642868            ;;
    28652869        esac
    2866         case $enable_doscompile in
    2867           mingw)
    2868             CFLAGS="-mno-cygwin"
    2869             cat >conftest.$ac_ext <<_ACEOF
    2870 /* confdefs.h.  */
    2871 _ACEOF
    2872 cat confdefs.h >>conftest.$ac_ext
    2873 cat >>conftest.$ac_ext <<_ACEOF
    2874 /* end confdefs.h.  */
    2875 
    2876 int
    2877 main ()
    2878 {
    2879 int i=0; i++;
    2880   ;
    2881   return 0;
    2882 }
    2883 _ACEOF
    2884 rm -f conftest.$ac_objext conftest$ac_exeext
    2885 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2886   (eval $ac_link) 2>conftest.er1
    2887   ac_status=$?
    2888   grep -v '^ *+' conftest.er1 >conftest.err
    2889   rm -f conftest.er1
    2890   cat conftest.err >&5
    2891   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2892   (exit $ac_status); } &&
    2893          { ac_try='test -z "$ac_c_werror_flag"
    2894                          || test ! -s conftest.err'
    2895   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2896   (eval $ac_try) 2>&5
    2897   ac_status=$?
    2898   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2899   (exit $ac_status); }; } &&
    2900          { ac_try='test -s conftest$ac_exeext'
    2901   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2902   (eval $ac_try) 2>&5
    2903   ac_status=$?
    2904   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2905   (exit $ac_status); }; }; then
    2906   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2907 else
    2908   echo "$as_me: failed program was:" >&5
    2909 sed 's/^/| /' conftest.$ac_ext >&5
    2910 
    2911 fi
    2912 rm -f conftest.err conftest.$ac_objext \
    2913       conftest$ac_exeext conftest.$ac_ext
    2914             CFLAGS=
    2915           ;;
    2916         esac
    29172870    esac
    29182871  fi
     
    31153068fi
    31163069
    3117 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3118 
    3119 case "$CFLAGS" in
    3120   *-mno-cygwin*)
    3121     if test x${CPPFLAGS+set} != xset ; then
    3122       CPPFLAGS="-mno-cygwin"
    3123     else
    3124       case "$CPPFLAGS" in
    3125         *-mno-cygwin*)
    3126           ;;
    3127         *)
    3128           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3129           ;;
    3130       esac
    3131     fi ;;
    3132 esac
    3133 
    31343070# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    31353071if test x$COIN_PRJCT != x; then
     
    32553191  clang* ) ;;
    32563192  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3257     case $build in
     3193
     3194 case $build in
    32583195  *-mingw*)
    32593196    if test "${LD+set}" = set; then :; else
     
    32623199    ;;
    32633200 esac
    3264  case $enable_doscompile in
    3265    msvc)
    3266      if test "x${LD+set}" = xset; then :; else
    3267        LD=link
    3268      fi
    3269      ;;
    3270  esac
     3201 if test $enable_msvc = yes ; then
     3202   if test "x${LD+set}" = xset; then :; else
     3203     LD=link
     3204   fi
     3205 fi
    32713206
    32723207    ;;
     
    33033238case $build in
    33043239  *-cygwin* | *-mingw*)
    3305              if test "$enable_doscompile" = msvc ; then
    3306                comps="icl cl"
    3307              else
    3308                comps="g++ cl"
    3309              fi ;;
     3240      if test "$enable_msvc" = yes ; then
     3241         comps="icl cl g++"
     3242      else
     3243         comps="g++ icl cl"
     3244      fi ;;
    33103245  *-*-solaris*)
    33113246             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    37773712    fi ;;
    37783713  * )
    3779     CYGPATH_W=echo
     3714    if test x"$CYGPATH_W" = x ; then
     3715      CYGPATH_W=echo
     3716    fi
    37803717    ;;
    37813718esac
     
    38143751            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
    38153752            ;;
    3816         esac
    3817 
    3818         case $enable_doscompile in
    3819           mingw)
    3820             CXXFLAGS="-mno-cygwin"
    3821             cat >conftest.$ac_ext <<_ACEOF
    3822 /* confdefs.h.  */
    3823 _ACEOF
    3824 cat confdefs.h >>conftest.$ac_ext
    3825 cat >>conftest.$ac_ext <<_ACEOF
    3826 /* end confdefs.h.  */
    3827 
    3828 int
    3829 main ()
    3830 {
    3831 int i=0; i++;
    3832   ;
    3833   return 0;
    3834 }
    3835 _ACEOF
    3836 rm -f conftest.$ac_objext conftest$ac_exeext
    3837 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3838   (eval $ac_link) 2>conftest.er1
    3839   ac_status=$?
    3840   grep -v '^ *+' conftest.er1 >conftest.err
    3841   rm -f conftest.er1
    3842   cat conftest.err >&5
    3843   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3844   (exit $ac_status); } &&
    3845          { ac_try='test -z "$ac_cxx_werror_flag"
    3846                          || test ! -s conftest.err'
    3847   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3848   (eval $ac_try) 2>&5
    3849   ac_status=$?
    3850   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3851   (exit $ac_status); }; } &&
    3852          { ac_try='test -s conftest$ac_exeext'
    3853   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3854   (eval $ac_try) 2>&5
    3855   ac_status=$?
    3856   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3857   (exit $ac_status); }; }; then
    3858   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3859 else
    3860   echo "$as_me: failed program was:" >&5
    3861 sed 's/^/| /' conftest.$ac_ext >&5
    3862 
    3863 fi
    3864 rm -f conftest.err conftest.$ac_objext \
    3865       conftest$ac_exeext conftest.$ac_ext
    3866             CXXFLAGS=
    3867           ;;
    38683753        esac
    38693754    esac
     
    40783963fi
    40793964
    4080 # If CXXFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    4081 
    4082 case "$CXXFLAGS" in
    4083   *-mno-cygwin*)
    4084     if test x${CPPFLAGS+set} != xset ; then
    4085       CPPFLAGS="-mno-cygwin"
    4086     else
    4087       case "$CPPFLAGS" in
    4088         *-mno-cygwin*)
    4089           ;;
    4090         *)
    4091           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    4092           ;;
    4093       esac
    4094     fi ;;
    4095 esac
    4096 
    40973965# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    40983966if test x$COIN_PRJCT != x; then
     
    42184086  clang* ) ;;
    42194087  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4220     case $build in
     4088
     4089 case $build in
    42214090  *-mingw*)
    42224091    if test "${LD+set}" = set; then :; else
     
    42254094    ;;
    42264095 esac
    4227  case $enable_doscompile in
    4228    msvc)
    4229      if test "x${LD+set}" = xset; then :; else
    4230        LD=link
    4231      fi
    4232      ;;
    4233  esac
     4096 if test $enable_msvc = yes ; then
     4097   if test "x${LD+set}" = xset; then :; else
     4098     LD=link
     4099   fi
     4100 fi
    42344101
    42354102    ;;
     
    42724139            ;;
    42734140          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4274             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    4275 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     4141            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     4142echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    42764143            ;;
    42774144          *)
     
    54535320
    54545321LIBTOOL=
    5455 if test -r ../libtool; then
     5322if test -f ../libtool; then
    54565323  coin_config_dir=..
    54575324  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    54585325fi
    54595326if test "x$LIBTOOL" = x; then
    5460   if test -r ../../libtool; then
     5327  if test -f ../../libtool; then
    54615328    coin_config_dir=../..
    54625329    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    60045871*-*-irix6*)
    60055872  # Find out which ABI we are using.
    6006   echo '#line 6006 "configure"' > conftest.$ac_ext
     5873  echo '#line 5873 "configure"' > conftest.$ac_ext
    60075874  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60085875  (eval $ac_compile) 2>&5
     
    71387005
    71397006# Provide some information about the compiler.
    7140 echo "$as_me:7140:" \
     7007echo "$as_me:7007:" \
    71417008     "checking for Fortran 77 compiler version" >&5
    71427009ac_compiler=`set X $ac_compile; echo $2`
     
    82058072   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82068073   -e 's:$: $lt_compiler_flag:'`
    8207    (eval echo "\"\$as_me:8207: $lt_compile\"" >&5)
     8074   (eval echo "\"\$as_me:8074: $lt_compile\"" >&5)
    82088075   (eval "$lt_compile" 2>conftest.err)
    82098076   ac_status=$?
    82108077   cat conftest.err >&5
    8211    echo "$as_me:8211: \$? = $ac_status" >&5
     8078   echo "$as_me:8078: \$? = $ac_status" >&5
    82128079   if (exit $ac_status) && test -s "$ac_outfile"; then
    82138080     # The compiler can only warn and ignore the option if not recognized
     
    84738340   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84748341   -e 's:$: $lt_compiler_flag:'`
    8475    (eval echo "\"\$as_me:8475: $lt_compile\"" >&5)
     8342   (eval echo "\"\$as_me:8342: $lt_compile\"" >&5)
    84768343   (eval "$lt_compile" 2>conftest.err)
    84778344   ac_status=$?
    84788345   cat conftest.err >&5
    8479    echo "$as_me:8479: \$? = $ac_status" >&5
     8346   echo "$as_me:8346: \$? = $ac_status" >&5
    84808347   if (exit $ac_status) && test -s "$ac_outfile"; then
    84818348     # The compiler can only warn and ignore the option if not recognized
     
    85778444   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85788445   -e 's:$: $lt_compiler_flag:'`
    8579    (eval echo "\"\$as_me:8579: $lt_compile\"" >&5)
     8446   (eval echo "\"\$as_me:8446: $lt_compile\"" >&5)
    85808447   (eval "$lt_compile" 2>out/conftest.err)
    85818448   ac_status=$?
    85828449   cat out/conftest.err >&5
    8583    echo "$as_me:8583: \$? = $ac_status" >&5
     8450   echo "$as_me:8450: \$? = $ac_status" >&5
    85848451   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85858452   then
     
    1092210789  lt_status=$lt_dlunknown
    1092310790  cat > conftest.$ac_ext <<EOF
    10924 #line 10924 "configure"
     10791#line 10791 "configure"
    1092510792#include "confdefs.h"
    1092610793
     
    1102210889  lt_status=$lt_dlunknown
    1102310890  cat > conftest.$ac_ext <<EOF
    11024 #line 11024 "configure"
     10891#line 10891 "configure"
    1102510892#include "confdefs.h"
    1102610893
     
    1336613233   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1336713234   -e 's:$: $lt_compiler_flag:'`
    13368    (eval echo "\"\$as_me:13368: $lt_compile\"" >&5)
     13235   (eval echo "\"\$as_me:13235: $lt_compile\"" >&5)
    1336913236   (eval "$lt_compile" 2>conftest.err)
    1337013237   ac_status=$?
    1337113238   cat conftest.err >&5
    13372    echo "$as_me:13372: \$? = $ac_status" >&5
     13239   echo "$as_me:13239: \$? = $ac_status" >&5
    1337313240   if (exit $ac_status) && test -s "$ac_outfile"; then
    1337413241     # The compiler can only warn and ignore the option if not recognized
     
    1347013337   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1347113338   -e 's:$: $lt_compiler_flag:'`
    13472    (eval echo "\"\$as_me:13472: $lt_compile\"" >&5)
     13339   (eval echo "\"\$as_me:13339: $lt_compile\"" >&5)
    1347313340   (eval "$lt_compile" 2>out/conftest.err)
    1347413341   ac_status=$?
    1347513342   cat out/conftest.err >&5
    13476    echo "$as_me:13476: \$? = $ac_status" >&5
     13343   echo "$as_me:13343: \$? = $ac_status" >&5
    1347713344   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1347813345   then
     
    1504014907   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1504114908   -e 's:$: $lt_compiler_flag:'`
    15042    (eval echo "\"\$as_me:15042: $lt_compile\"" >&5)
     14909   (eval echo "\"\$as_me:14909: $lt_compile\"" >&5)
    1504314910   (eval "$lt_compile" 2>conftest.err)
    1504414911   ac_status=$?
    1504514912   cat conftest.err >&5
    15046    echo "$as_me:15046: \$? = $ac_status" >&5
     14913   echo "$as_me:14913: \$? = $ac_status" >&5
    1504714914   if (exit $ac_status) && test -s "$ac_outfile"; then
    1504814915     # The compiler can only warn and ignore the option if not recognized
     
    1514415011   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1514515012   -e 's:$: $lt_compiler_flag:'`
    15146    (eval echo "\"\$as_me:15146: $lt_compile\"" >&5)
     15013   (eval echo "\"\$as_me:15013: $lt_compile\"" >&5)
    1514715014   (eval "$lt_compile" 2>out/conftest.err)
    1514815015   ac_status=$?
    1514915016   cat out/conftest.err >&5
    15150    echo "$as_me:15150: \$? = $ac_status" >&5
     15017   echo "$as_me:15017: \$? = $ac_status" >&5
    1515115018   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1515215019   then
     
    1735117218   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1735217219   -e 's:$: $lt_compiler_flag:'`
    17353    (eval echo "\"\$as_me:17353: $lt_compile\"" >&5)
     17220   (eval echo "\"\$as_me:17220: $lt_compile\"" >&5)
    1735417221   (eval "$lt_compile" 2>conftest.err)
    1735517222   ac_status=$?
    1735617223   cat conftest.err >&5
    17357    echo "$as_me:17357: \$? = $ac_status" >&5
     17224   echo "$as_me:17224: \$? = $ac_status" >&5
    1735817225   if (exit $ac_status) && test -s "$ac_outfile"; then
    1735917226     # The compiler can only warn and ignore the option if not recognized
     
    1761917486   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1762017487   -e 's:$: $lt_compiler_flag:'`
    17621    (eval echo "\"\$as_me:17621: $lt_compile\"" >&5)
     17488   (eval echo "\"\$as_me:17488: $lt_compile\"" >&5)
    1762217489   (eval "$lt_compile" 2>conftest.err)
    1762317490   ac_status=$?
    1762417491   cat conftest.err >&5
    17625    echo "$as_me:17625: \$? = $ac_status" >&5
     17492   echo "$as_me:17492: \$? = $ac_status" >&5
    1762617493   if (exit $ac_status) && test -s "$ac_outfile"; then
    1762717494     # The compiler can only warn and ignore the option if not recognized
     
    1772317590   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1772417591   -e 's:$: $lt_compiler_flag:'`
    17725    (eval echo "\"\$as_me:17725: $lt_compile\"" >&5)
     17592   (eval echo "\"\$as_me:17592: $lt_compile\"" >&5)
    1772617593   (eval "$lt_compile" 2>out/conftest.err)
    1772717594   ac_status=$?
    1772817595   cat out/conftest.err >&5
    17729    echo "$as_me:17729: \$? = $ac_status" >&5
     17596   echo "$as_me:17596: \$? = $ac_status" >&5
    1773017597   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1773117598   then
     
    2042220289    # Here we need to check if -m32 is specified.  If so, we need to correct
    2042320290    # sys_lib_search_path_spec
     20291    *-cygwin* | *-mingw*)
     20292       case "$CXX" in
     20293    clang* )
     20294      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     20295      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     20296echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     20297      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20298          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20299          -e 's|libext="lib"|libext="a"|' \
     20300      libtool > conftest.bla
     20301      ;;
     20302    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20303      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     20304echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     20305      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20306          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20307          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20308          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20309          -e 's%lib /OUT:%lib -OUT:%' \
     20310          -e "s%cygpath -w%$CYGPATH_W%" \
     20311          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     20312          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     20313          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     20314          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20315          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     20316      libtool > conftest.bla
     20317      ;;
     20318    *)
     20319      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     20320echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     20321      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20322          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20323          -e 's|libext="lib"|libext="a"|' \
     20324      libtool > conftest.bla
     20325      ;;
     20326  esac
     20327  mv conftest.bla libtool
     20328  chmod 755 libtool
     20329
     20330      ;;
    2042420331    *x86_64-*)
    2042520332      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2046120368      ;;
    2046220369    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    20463     *-cygwin* | *-mingw*)
    20464        case "$CXX" in
    20465     clang* )
    20466       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    20467       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    20468 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    20469       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20470           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20471           -e 's|libext="lib"|libext="a"|' \
    20472       libtool > conftest.bla
    20473       ;;
    20474     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20475       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    20476 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    20477       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20478           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20479           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20480           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20481           -e 's%lib /OUT:%lib -OUT:%' \
    20482           -e "s%cygpath -w%$CYGPATH_W%" \
    20483           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    20484           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    20485           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20486           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    20487           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    20488       libtool > conftest.bla
    20489       ;;
    20490     *)
    20491       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    20492 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    20493       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20494           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20495           -e 's|libext="lib"|libext="a"|' \
    20496       libtool > conftest.bla
    20497       ;;
    20498   esac
    20499   mv conftest.bla libtool
    20500   chmod 755 libtool
    20501 
    20502       ;;
    2050320370    *-darwin*)
    2050420371      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2060820475# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2060920476
     20477# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     20478if test "${enable_dependency_linking+set}" = set; then
     20479  enableval="$enable_dependency_linking"
     20480  dependency_linking="$enableval"
     20481else
     20482  dependency_linking=no
     20483fi;
     20484
    2061020485# ToDo
    2061120486# For now, don't use the -no-undefined flag, since the Makefiles are
    2061220487# not yet set up that way.  But we need to fix this, when we want
    2061320488# to comile DLLs under Windows.
    20614 LT_LDFLAGS=
     20489if test "$dependency_linking" = yes ;
     20490then
     20491  LT_LDFLAGS="-no-undefined"
     20492else
     20493  LT_LDFLAGS=
     20494fi
     20495
     20496
     20497
     20498if test "$dependency_linking" = yes; then
     20499  DEPENDENCY_LINKING_TRUE=
     20500  DEPENDENCY_LINKING_FALSE='#'
     20501else
     20502  DEPENDENCY_LINKING_TRUE='#'
     20503  DEPENDENCY_LINKING_FALSE=
     20504fi
     20505
    2061520506
    2061620507# Check if we want to set the library version
     
    2081720708  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    2081820709  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    20819   if test -e ../coin_subdirs.txt ; then
     20710  if test -f ../coin_subdirs.txt ; then
    2082020711    for i in `cat ../coin_subdirs.txt` ; do
    2082120712      if test -d ../$i ; then
     
    2082820719  fi
    2082920720
    20830   if test -e ../../coin_subdirs.txt ; then
     20721  if test -f ../../coin_subdirs.txt ; then
    2083120722    for i in `cat ../../coin_subdirs.txt` ; do
    2083220723      if test -d ../../$i ; then
     
    2511225003echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2511325004coin_link_input_cmd="$LN_S"
    25114 if test "$enable_doscompile" = mingw; then
    25115   coin_link_input_cmd=cp
    25116 fi
    2511725005case "$CC" in
    2511825006  clang* ) ;;
     
    2531425202Usually this means the macro was only invoked conditionally." >&5
    2531525203echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     25204Usually this means the macro was only invoked conditionally." >&2;}
     25205   { (exit 1); exit 1; }; }
     25206fi
     25207if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     25208  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     25209Usually this means the macro was only invoked conditionally." >&5
     25210echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    2531625211Usually this means the macro was only invoked conditionally." >&2;}
    2531725212   { (exit 1); exit 1; }; }
     
    2604425939s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2604525940s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     25941s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     25942s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    2604625943s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2604725944s,@PKG_CONFIG@,$PKG_CONFIG,;t t
Note: See TracChangeset for help on using the changeset viewer.